Get Professional Credentials
Retrieve the credentials associated with a professional in the Propelus system.
Get the professional's credentials using professionalId as the unique identifier.
Authorization
apiKey clientId In: header
In: header
Path Parameters
Unique identifier for the professional.
Query Parameters
Page number for pagination.
Number of items per page.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/professionals/628fc8e2-ee7e-4779-9eb7-d980e7a92f3a/credentials"{
"count": 1,
"total": 1,
"credentials": [
{
"id": "628fc8e2-ee7e-4779-9eb7-d980e7a92f3a",
"number": "string",
"code": "RN",
"state": "CA",
"certState": "CA",
"customProperties": {
"property1": "string",
"property2": "string"
}
}
],
"nextPage": "/v2/professionals/{id}/credentials?page=3&perPage=10",
"prevPage": "/v2/professionals/{id}/credentials?page=2&perPage=10"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 429,
"detail": "string",
"code": "f5d62b05-370e-48be-a755-8675ca146431"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 500,
"detail": "string",
"code": "unexpected_error"
}Create a Professional's Credential POST
After creating a professional, you will then add any relevant credentials using the professional ID generated during the creation of the professional. Creating credentials is optional if the professional is being enrolled in an AdverseCheck package. An important note, after creating the professional's credentials, you will need to enroll them in a [monitoring product](/monitoring/CreateProfessionalMonitoring).
Get a Professional's Credential by ID GET
Get a credential by utilizing both `professionalId` and `credentialId`. The response body will include the credential details as they are listed in Propelus.